### Constructor

# Gm DisplayPanel new_from_data

since: 0.0.1

#### Declaration [src]

    GmDisplayPanel*
    gm_display_panel_new_from_data (
      const gchar* data,
      GError** error
    )

#### Description [src]

Constructs a new display panel based on the given data. If that fails `NULL` is returned and `error` describes the error that occurred.

Available since: 0.0.1

#### Parameters

`data`

  Type: `const gchar*`

  The panel’s data as JSON.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GmDisplayPanel`

The new display panel object.

The caller of the function takes ownership of the data, and is responsible for freeing it.